CHAGE(1)

NAMN
chage - ändra åldringsinformation för användarlösenord

SYNOPSIS

chage [flaggor] INLOGGNINGSNAMN

BESKRIVNING

The chage command changes the number of days between password changes and the date of the last password change. This information is used by the system to determine when a user must change their password.

FLAGGOR

Flaggorna som gäller för kommandot chage är:

-d, --lastday SISTA_DAG
    Set the number of days since January 1st, 1970 when the password was last changed. The date may also be expressed in the format YYYY-MM-DD (or the format more commonly used in your area).

-E, --expiredate UTGÅNGSDATUM
    Set the date or number of days since January 1, 1970 on which the user's account will no longer be accessible. The date may also be expressed in the format YYYY-MM-DD (or the format more commonly used in your area). A user whose account is locked must contact the system administrator before being able to use the system again.

    Passing the number -1 as the EXPIRE_DATE will remove an account expiration date.

-h, --help
    Visa hjälpmeddelande och avsluta.

-I, --inactive INAKTIV
    Set the number of days of inactivity after a password has expired before the account is locked. The INACTIVE option is the number of days of inactivity. A user whose account is locked must contact the system administrator before being able to use the system again.

    Passing the number -1 as the INACTIVE will remove an account's inactivity.

-l, --list
    Visa kontots åldringsinformation

-m, --mindays MIN_DAGAR
    Sätter minimalt antal dagar mellan lösenordsändringar till MIN_DAGAR. Ett nollvärde för detta fält betyder att användaren kan ändra sitt lösenord när som helst.

-M, --maxdays MAX_DAGAR
    Set the maximum number of days during which a password is valid. When MAX_DAYS plus LAST_DAY is less than the current day, the user will be required to change their password before being able to use their account. This occurrence can be planned for in advance by use of the -W option, which provides the user with advance warning.

    Passing the number -1 as MAX_DAYS will remove checking a password's validity.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-W, --warndays VARN_DAGAR
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned their password is about to expire.

If none of the options are selected, chage operates in an interactive fashion, prompting the user with the current values for all of the fields. Enter the new value to change the field, or leave the line blank to use the current value. The current value is displayed between a pair of [ ] marks.

NOTERA

Programmet chage kräver att en skugglösenordsfil finns tillgänglig.

The chage command is restricted to the root user, except for the -l option, which may be used by an unprivileged user to determine when their password or account is due to expire.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

FILER

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

AVSLUTNINGSVÄRDEN

Kommandot chage avslutas med följande värden:

0
    lyckad

1
    åtkomst nekad

2
    ogiltig kommandosyntax

15
    kan inte hitta skugglösenordsfilen

SE OCKSÅ

passwd(5), shadow(5).